# Role: systemd_resolved

## Description

Installs and configures systemd-resolved.

https://www.freedesktop.org/software/systemd/man/latest/systemd-resolved.service.html

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.systemd_resolved
  vars:
    ...
```

### Vars

`systemd_resolved_stubresolv_path`:

Path of the stubresolv file.

`systemd_resolved_etc_resolvconf_path`:

Path of the resolvconf.

`systemd_resolved_config`:

Config to set for systemd-resolved.
